Skip to main content

Overview

This guide is for API users migrating from GraphQL to REST. If you’re new to the Novig API, start with the Authentication guide.

Authentication

All REST endpoints require authentication via Bearer token. Include your access token in every request:
See the Authentication guide for instructions on obtaining an access token using your client credentials.

Environments


Migration Reference

1. GetLeaguesQuery → GET /nbx/v2/emm/event-metadata/leagues

Before (GraphQL):
After (REST):
Response:
Additional metadata endpoints are also available:
  • GET /nbx/v2/emm/event-metadata/types - All event types
  • GET /nbx/v2/emm/event-metadata/statuses - All event statuses

2. EventsByLeague → GET /nbx/v2/emm/events

Before (GraphQL):
After (REST):
Query Parameters: Response:
The REST endpoint returns a marketIds array for each event, which can reduce follow-up queries.Visibility filtering: Unlike the GraphQL query, the REST endpoint does not automatically filter by is_visible_pregame or is_visible_live. Filter by status to get the events you need.

3. MarketsByEvent → GET /nbx/v2/emm/events/getMarketsByEvent/:eventId

Before (GraphQL):
After (REST):
Path Parameters: Query Parameters: Response:
The REST endpoint returns markets with their current orderbook data included in a single response, eliminating the need to fetch orders separately.

Fetching a Single Event

A new endpoint is available to fetch a single event by ID:
Response:

Need Help?

If you have questions or need assistance with the migration, please reach out to developers@novig.co.